Summary: Generates character and string glyphs from Adobe Type 1 fonts.
Name: t1lib
Version: 1.0
Release: 5
Copyright: LGPL 
Group: System Environment/Libraries
Source: ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/t1lib-1.0.tar.gz
Patch0: Makefile.patch
BuildRoot: %{_tmppath}/%{name}-root


%description
T1lib is a library which generates character and string glyphs from
Adobe Type 1 fonts.  T1lib uses most of the code from the X11 rasterizer
donated by IBM to the X11 project, but has eliminated some of the
disadvantages of the rasterizer.

%prep
%setup -q -n T1-1.0
%patch0 -p1 -b .tim

%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/share/t1lib/doc

%makeinstall T1LIB_DATA_DIR=$RPM_BUILD_ROOT%{_datadir}/t1lib

chmod 0755 $RPM_BUILD_ROOT/usr/lib/* || :

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes LGPL LICENSE README.t1lib-1.0 README.t1python doc/*.tex  
/usr/bin/*
/usr/lib/*
/usr/include/*
/usr/share/t1lib

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- use %%{_tmppath} macros

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed installation routine

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Tue Nov 30 1999	Tim Powers <timp@redhat.com>
- updated to 1.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Jul 21 1998 Michael Maher <mike@redhat.com>
- built package  
 
